missing icon in window list

Bug #482299 reported by Horia Duțescu on 2009-11-13
4
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Gloobus
Fix Committed
Medium
BadChoice
gloobus-preview
Medium
BadChoice

Bug Description

In window list, gloobus preview doesn't have an icon, but in applications menu it does.
It looks a little bit ugly without an icon.
I will attach a screenshot to exemplify

BadChoice (guitarboy000) on 2009-12-14
Changed in gloobus:
status: New → Confirmed
importance: Undecided → Medium
assignee: nobody → BadChoice (guitarboy000)
milestone: none → 0.4.2
Daniel Fore (danrabbit) on 2009-12-24
Changed in gloobus-preview:
status: New → Confirmed
importance: Undecided → Medium
BadChoice (guitarboy000) wrote :

Can you test if it still happens with last version? I added all icons sizes to see if it solves the problem

Changed in gloobus-preview:
assignee: nobody → BadChoice (guitarboy000)
milestone: none → 0.4.2
BadChoice (guitarboy000) wrote :

Nobody can test it?

It's working here. Disable Always on Top and its in the window list
with the icon.

On Mon, Jan 11, 2010 at 1:14 PM, BadChoice <email address hidden> wrote:
> Nobody can test it?
>
> --
> missing icon in window list
> https://bugs.launchpad.net/bugs/482299
> You received this bug notification because you are a member of Gloobus
> Developers, which is the registrant for gloobus-preview.
>

Whoops! Ignore the above. It show the icon in Docky but Docky is
getting the icon from the .desktop file. Its still missing in the
window list.

On Mon, Jan 11, 2010 at 1:31 PM, zekopeko <email address hidden> wrote:
> It's working here. Disable Always on Top and its in the window list
> with the icon.
>
> On Mon, Jan 11, 2010 at 1:14 PM, BadChoice <email address hidden> wrote:
>> Nobody can test it?
>>
>> --
>> missing icon in window list
>> https://bugs.launchpad.net/bugs/482299
>> You received this bug notification because you are a member of Gloobus
>> Developers, which is the registrant for gloobus-preview.
>>
>

BadChoice (guitarboy000) wrote :

Lol, do you know how can I add it to window list?

Changed in gloobus:
milestone: 0.4.2 → none
BadChoice (guitarboy000) wrote :

does it appear now?

Still the generic icon. rev 143

On Fri, Jan 22, 2010 at 11:39 AM, BadChoice <email address hidden> wrote:
> does it appear now?
>
> --
> missing icon in window list
> https://bugs.launchpad.net/bugs/482299
> You received this bug notification because you are a member of Gloobus
> Developers, which is the registrant for gloobus-preview.
>

Jose Rostagno (joserostagno) wrote :

There is a gtk function that add window list icon it's
http://library.gnome.org/devel/gtk/unstable/GtkWindow.html#gtk-window-set-icon

if you create a new gtk window and you don't call that function, default icon was shown in window list.

i hope this help you.

BadChoice (guitarboy000) wrote :

Thanks! Just commited!

Changed in gloobus:
assignee: BadChoice (guitarboy000) → Jordi Puigdellívol (jordi-gloobus)
Changed in gloobus-preview:
assignee: BadChoice (guitarboy000) → Jordi Puigdellívol (jordi-gloobus)
status: Confirmed → Fix Committed
Changed in gloobus:
status: Confirmed → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers